Search the Community
Showing results for tags 'ssget'.
-
How to make your selection sets shows different from others unselected
CANDOWE posted a topic in AutoLISP, Visual LISP & DCL
HEY MASTERS, I'd like to write a lisp routine to select attributes blocks, first I need to window select those using 2 points, then for those doesn't in this erea, i need to pick the blocks one by one, in order to tell which is selected or unselected , i need those selected display different f... -
select the 4 points on each line and entmake pline
Ajmal posted a topic in AutoLISP, Visual LISP & DCL
Can someone help me to find the solution for some doubts. If someone will make one lisp for this, so I think I will get answer for few doubts I need to draw a pline inside this 4 line using line point like this My doubts 1... -
How can I add a filter in ssget...? Actually, I want to select only unlocked line with cross selection. is it possible with this": L" (setq lines (ssget "_C" p1 p2 (list (cons 0 "LINE")))) like this (ssget "_+.:S:E:L" '((0 . "ARC,CIRCLE,ELLIPSE,LINE"))) this is not getting how....
-
i need only select lines. But it's not coming. (defun c:DE () (setq p1 (getpoint "\nSelect object...")) (setq p2 (getcorner p1)) (setq mp (polar p1 (angle p1 p2) (/ (distance p1 p2) 2))) (setq p1 (list (nth 0 p1) (nth 1 p1))) (setq p2 (list (nth 0 p2) (nth 1 p2))) (setq lines (ssget...
-
entsel to ssget (create dimension for multiple block)
Pugazh posted a topic in AutoLISP, Visual LISP & DCL
This lisp for working select single block but i want to need create dimension for multiple block. help me!! (defun C:Bdim ( / ) (if (and (setq sel (entsel "Select a block: ")) (= (cdr (assoc 0 (setq nfo (entget (car sel))))) "INSERT") ) (vlax-for item (vla-item (vla-get-block... -
Hello Everybody, this is my first post and I'd like to know a little bit more about the ssget command. I already searched the world wide web for various search keywords, but couldn't find references / lists, especially of the Associative codes and object types. I also read a lot of articles...
- 24 replies
-
- ssget
- select objects
-
(and 2 more)
Tagged with:
-
selection set based on layer and color of a given object
tsotzo posted a topic in AutoLISP, Visual LISP & DCL
Hi, I am trying something like this: (setq ed (entget (car (entsel)))) (setq lyr (cdr (assoc 8 ed))) (setq clr (cdr (assoc 62 ed))) How can I get a selection set based on layer and color of a given object? Something like: (setq objs (ssget "X" '((cons 8 lyr) (cons 62 clr)) ) ) [i k...- 5 replies
-
- selection sets
- by layer
-
(and 2 more)
Tagged with:
-
Hi, Sorry for the heading, I spelt entsel all wrong. Can someone change that please. I'm selecting a closed polyine using an entsel and the using an ssget to select other objects. How do I filter out that entsel item. Like so: (setq ent_1 (car (entsel "\nPlease select something"))...
-
Goal: To select all the the objects I want to manipulate at once using a selection window, then the lisp program modifies the properties of just the Circle Entities in that selection. Below I am currently just changing the color property. After modifying the circles, I would like to modify all poly...
-
(setq axd (vla-AddDimAligned spc d1 d2 ex)) (vla-Copy axd) (vl-cmdf "_.explode" "_l" "") ;could not find an ActiveX equivalent for this (setq del (ssget "_p")) ;errors here, does not set the variable and exits routine Can someone shed some light? What is the deal with the above? I am able to...
-
How can I filter a selection of hatch by gradient name using ssget fonction? The exeample bellow works well for standard hatch name... it does not work for gardient WORK: (setq ss (ssget "_X" (list '(0 . "HATCH")'(2 . "GRASS")))) DONT WORK: (setq ss (ssget "_X" (list '(0 . "HATCH")...
-
Hello everyone. I am having a mental blank as i am sure i know the solution to this but cannot remember I am trying to have a shortcut to select all xrefs starting with X* I have tried this but i does not work. (defun c:xrss () (command "SELECT" (ssget "X" (list (cons 0 "INSERT") (co...
-
Allow the user to select a exactly one line
plackowski posted a topic in AutoLISP, Visual LISP & DCL
I need to know the end points (p1 and p2) of a line chosen by the user. How can I let them only select a single line? I'm currently using the following: (if (setq ss (ssget '((0 . "LINE")))) (setq l1ent (entget (ssname ss 0))) (setq p1 (cdr (assoc 10 l1ent))) (setq p2 (cdr (assoc 11 l1ent)))... -
who can help me to summarize the mode of ssget function
Helchan posted a topic in AutoLISP, Visual LISP & DCL
I want to learn all of the usage about ssget. who can help me to summarize all the mode of ssget and explain how to use it and give some e.g. at the same time can u tell me the symbols "+" ":" in mode expression means what ? thank you very much ! -
Center Text in Box - From ENTSEL to SSGET?
ILoveMadoka posted a topic in AutoLISP, Visual LISP & DCL
I found this code on the web somewhere and it works great for a single line of text. I would like to be able to select multiple lines of text and have it do the same. To center several lines of text in an existing rectangle. I am hoping someone already has code to do this rather than hoping som...- 26 replies
-
- box
- center text in box
-
(and 2 more)
Tagged with:
-
Hello everybuddies, I am new to lisp, so please for your advise. I want to pick an existing multi-segment polyline and use it as a selection fence (ssget "_F") As far as I understand I miss a simple piece of code that lists the points of the polyline in a way that ssget can accept them a...
- 13 replies
-
- points list
- fence
-
(and 2 more)
Tagged with:
-
I m trying to make a selection set using a point and a couple of lines passing through this point (caution, NOT terminating). I want to select lines of specific layers. What I m typing is this (setq pt (getpoint "\nSelect point: ")) (setq ss (ssget pt '((0 . "LINE") (8 . "mylayer")))) Un...
- 5 replies
-
- selection set
- point
-
(and 3 more)
Tagged with:
-
I'm a newbie. And i try to practise some Autolisp example. I write the code below to know how to use entity name in applying command. I collect these entity name in a list and use command "erase to delete it". But some problems happened here. It said " Bad arguments" and i don't know how to reso...
-
Hey Guys, Ive got this routine which is intended to erase everything visible which is of a colour determined by the user. (defun c:ec () (setq ecc (getint "\nEnter COLOUR of objects to ERASE : ")) (setq CODE 62) (setq pt1 '( -50000000000000 -50000000000000 -50000000000000)) (setq pt2 '( 50...
-
Problem with code to select a single piece of text using ssget.
Reu posted a topic in AutoLISP, Visual LISP & DCL
What is wrong with my coding? (defun 1ststring () (if (while (= str nil) (setq ss (ssget ":S" '((0 . "TEXT"))) str (cdr (assoc 1 entget ss)) ) ;_end setq (setq str nil) ) ;_end while ) ;_end if ) ;_end defun -
Hi friends, is it possible to add behaviors defined by (initget) function to (ssget) (As most of you know, it is possible for other input functions such as (entsel), (entselp), (getpoint), ...) An example is like this: I appreciate any help
-
Hi all, is it possible to filter selection set to contain only minserted blocks? If so, how? Thanks to anyone who spends her/his time to get any answer to the problem.
- 8 replies
-
- selection set
- minsert
-
(and 2 more)
Tagged with:
-
Could really use some ssget lisp help, please
JasonS posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
Hi all, I'm hoping someone who knows lisp and object codes could help me convert the attached filter setup into a ssget lisp, so I can call it on the command line, please! I've been looking at this thread, but I can't puzzle my way through it so far. My lisp skills are terrible to nonexisten...